Subject: Re: ms/customizable-ident-expansion

From: Junio C Hamano <[email-masked]>
Date: Mon, 01 Nov 2021 13:23:42 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> But as for the feature it's clearly useful to some, and helps SCM
> inter-op, so even if I'm also rather "meh" on it I think it would be
> good to merge it down, it's clearly very useful to its (small) target
> audience, and doesn't seem to be harming anything else.

I do not care too much how small the audiences are.

The part I do not agree with the most with this is that this allows
the placeholder specified per path (because it is built with the
attributes, not the configuration, mechanism).  "Use this token
instead of 'Id'" command line option with a configuration variable
would not have had such an issue.